import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { RasterDemSource } from 'mapbox-gl';
import { MapService } from '../map/map.service';
import * as i0 from "@angular/core";
export declare class RasterDemSourceComponent implements OnInit, OnDestroy, OnChanges, RasterDemSource {
    private mapService;
    id: string;
    url?: RasterDemSource['url'];
    tiles?: RasterDemSource['tiles'];
    bounds?: RasterDemSource['bounds'];
    minzoom?: RasterDemSource['minzoom'];
    maxzoom?: RasterDemSource['maxzoom'];
    tileSize?: RasterDemSource['tileSize'];
    attribution?: RasterDemSource['attribution'];
    encoding?: RasterDemSource['encoding'];
    type: RasterDemSource['type'];
    private sourceAdded;
    private sub;
    constructor(mapService: MapService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private init;
    static ɵfac: i0.ɵɵFactoryDeclaration<RasterDemSourceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RasterDemSourceComponent, "mgl-raster-dem-source", never, { "id": "id"; "url": "url"; "tiles": "tiles"; "bounds": "bounds"; "minzoom": "minzoom"; "maxzoom": "maxzoom"; "tileSize": "tileSize"; "attribution": "attribution"; "encoding": "encoding"; }, {}, never, never>;
}
