import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class SourceService {
    private bindLayerToSource;
    /**
     * used by source.component, notify the project content(layer.component), they can add layer to map with the new sourceId
     * @param sourceId
     */
    startBind: (sourceId: string) => void;
    /**
     * used by layer.component, listen when should layer add themselves to map with a sourceId
     * @returns sourceId
     */
    listenBinding: () => Observable<string>;
    hasBindSource: () => boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SourceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SourceService>;
}
