import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ImageSourceOptions } from 'mapbox-gl';
import { MapService } from '../map/map.service';
import * as i0 from "@angular/core";
export declare class ImageSourceComponent implements OnInit, OnDestroy, OnChanges, ImageSourceOptions {
    private mapService;
    id: string;
    url: ImageSourceOptions['url'];
    coordinates: ImageSourceOptions['coordinates'];
    private sub;
    private sourceId?;
    constructor(mapService: MapService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private init;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageSourceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageSourceComponent, "mgl-image-source", never, { "id": "id"; "url": "url"; "coordinates": "coordinates"; }, {}, never, never>;
}
