import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { RasterSource } from 'mapbox-gl';
import { MapService } from '../map/map.service';
import * as i0 from "@angular/core";
export declare class RasterSourceComponent implements OnInit, OnDestroy, OnChanges, RasterSource {
    private mapService;
    id: string;
    url?: RasterSource['url'];
    tiles?: RasterSource['tiles'];
    bounds?: RasterSource['bounds'];
    minzoom?: RasterSource['minzoom'];
    maxzoom?: RasterSource['maxzoom'];
    tileSize?: RasterSource['tileSize'];
    scheme?: RasterSource['scheme'];
    attribution?: RasterSource['attribution'];
    type: RasterSource['type'];
    private sourceAdded;
    private sub;
    constructor(mapService: MapService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private init;
    static ɵfac: i0.ɵɵFactoryDeclaration<RasterSourceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RasterSourceComponent, "mgl-raster-source", never, { "id": "id"; "url": "url"; "tiles": "tiles"; "bounds": "bounds"; "minzoom": "minzoom"; "maxzoom": "maxzoom"; "tileSize": "tileSize"; "scheme": "scheme"; "attribution": "attribution"; }, {}, never, never>;
}
